Bug 826297 - mldonkey systemd service file does not respect /etc/sysconfig/mldonkey
mldonkey systemd service file does not respect /etc/sysconfig/mldonkey
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mldonkey (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 826301
  Show dependency treegraph
 
Reported: 2012-05-29 19:43 EDT by Clayton Louden
Modified: 2013-09-22 19:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: mldonkey-3.1.3-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-14 20:49:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Louden 2012-05-29 19:43:12 EDT
Description of problem:
The options to /usr/bin/mlnet are hard-coded into the systemd service file, therefore the mldonkey server always gets started with '/usr/bin/mlnet -log_to_syslog yes -log_file /dev/null -pid /run/mldonkey' regardless of the options set in /etc/sysconfig/mldonkey


Version-Release number of selected component (if applicable):
mldonkey-server-3.0.3-5.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. systemctl start mldonkey.service
2. change anything in /etc/sysconfig/mldonkey
3. systemctl restart mldonkey.service
  
Actual results:
The server is always started logging to syslog and using /var/lib/mldonkey as config directory

Expected results:
Depending on the environment variables in /etc/sysconfig/mldonkey the server should be started respecting those options


Additional info:
I'm no systemd expert, but /usr/lib/systemd/system/mldonkey.service should look something like this:

[Service]
User=mldonkey
EnvironmentFile=/etc/sysconfig/mldonkey
ExecStart=/usr/bin/mlnet -log_to_syslog $LOG_TO_SYSLOG -log_file $LOGFILE -pid /run/mldonkey
Comment 1 Fedora End Of Life 2013-07-03 19:42:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Clayton Louden 2013-07-30 21:25:32 EDT
Is this a joke? Come on guys, it's been a year. The fix takes about 5 minutes. Pretty please with sugar on top.
Comment 3 Richard W.M. Jones 2013-07-31 06:08:10 EDT
Why not become a packager, then you can do the fix yourself?
Comment 4 Fedora Update System 2013-09-06 09:23:13 EDT
mldonkey-3.1.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mldonkey-3.1.3-3.fc19
Comment 5 Fedora Update System 2013-09-06 09:23:45 EDT
mldonkey-3.1.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mldonkey-3.1.3-3.fc18
Comment 6 Fedora Update System 2013-09-06 09:24:15 EDT
mldonkey-3.1.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mldonkey-3.1.3-3.fc20
Comment 7 Fedora Update System 2013-09-06 13:25:10 EDT
Package mldonkey-3.1.3-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mldonkey-3.1.3-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15951/mldonkey-3.1.3-3.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-09-14 20:49:18 EDT
mldonkey-3.1.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-14 20:56:37 EDT
mldonkey-3.1.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-09-22 19:56:22 EDT
mldonkey-3.1.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.